var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, customElement, property, css } from '../../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../../core/lit-element/index.js';
let UmbInputUploadFieldAudioElement = class UmbInputUploadFieldAudioElement extends UmbLitElement {
    constructor() {
        super(...arguments);
        this.path = '';
    }
    render() {
        if (!this.path)
            return html `<uui-loader></uui-loader>`;
        const label = this.path.split('/').pop() ?? '';
        return html `<audio controls src=${this.path} title=${label}></audio>`;
    }
    static { this.styles = [
        css `
			:host {
				display: flex;
				width: 999px;
				max-width: 100%;
			}

			audio {
				width: 100%;
			}
		`,
    ]; }
};
__decorate([
    property({ type: String })
], UmbInputUploadFieldAudioElement.prototype, "path", void 0);
UmbInputUploadFieldAudioElement = __decorate([
    customElement('umb-input-upload-field-audio')
], UmbInputUploadFieldAudioElement);
export default UmbInputUploadFieldAudioElement;
